#ifndef SLIDERGROUP_H
#define SLIDERGROUP_H

#include <QGroupBox>
#include <QSpinBox>
#include <QLabel>
#include <QBoxLayout>
#include <QSlider>

QT_BEGIN_NAMESPACE
class QDial;
class QScrollBar;
class QSlider;
QT_END_NAMESPACE

class SliderGroup : public QGroupBox
{
    Q_OBJECT

public:
    SliderGroup(const QString &title,
                 int min,
                 int max,
                 QWidget *parent = nullptr);

signals:
    void valueChanged(int value);

public slots:
    inline void setValue(int value) { slider->setValue(value); };
    inline void sliderValueChanged(int value) { emit valueChanged(value); };

private:
    QSlider *slider;
    QSpinBox *valueBox;
};

#endif
